Package net.sourceforge.jiu.data

# Interface GrayIntegerImage

All Superinterfaces:
  `GrayImage`, `IntegerImage`, `PixelImage`

All Known Subinterfaces:
  `BilevelImage`, `Gray16Image`, `Gray8Image`

All Known Implementing Classes:
  `MemoryBilevelImage`, `MemoryGray16Image`, `MemoryGray8Image`

public interface GrayIntegerImage extends GrayImage, IntegerImage
An empty interface for grayscale images which have integer values of up to 32 bits (`int` or smaller) as samples. An interface composed of `GrayImage` and `IntegerImage`.

Like all extensions of `GrayImage`, this image data class supports only one channel.

Since:
  0.9.0
Author:
  Marco Schmidt
See Also:
  - `GrayImage`
  - `IntegerImage`

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.GrayImage

`isBlack, isWhite, putBlack, putWhite`

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`